From: "(Urs Widmer)" <[email-masked]>
Date: Wed, 11 Nov 1992 16:40:52 +0100

First a word of appology: I sendt a file, where I kept some
unicode-material by mistake to the whole list because it had the
same name as the following file I prepared for sending. Please
disregard that other file with unfortunately is quite long. You
will still read this one???

-----------------------------------------------------------------
As soon as I read about the availability of the machine readable
UNICODE reference list (cjkxref.fix) I ftp'ed this file. It's great
that the authors of UNICODE did put this valuable file in the
public domain for everybody to use it.

The first thing to do was to bring it into DBASE-format so that data
might be accessed easier. Playing around with the data I found some
inconsistencies with the  number of charakters in the standards included
into UNICODE as  indicated on p. 20 of "The Unicode Standard", vol. 2.

I would feel much easier if I could understand these differences;
May be I just make some sort of intellectual mistake I am not aware
of. Within DBASE I counted the fields where there are codes for each
of the standards and it's substandards (if available). In the following
list I put character number in the UNICODE BOOK and those from the
CJKXREF.FIX-file together. Who could give some hints?

Code         UNICODE-book  cjkxref.fix

ANSI (EACC)     13,053       13,226
BIG FIVE        13,481       13,063
CNS 11643       13,051              -------------->  16,469
CNS 11643 USER   3,418              -------------/
  CNS-1                       5,411 ----> 13,061-->  17,258
  CNS-2                       7,650 ---/         /
  CNS-E                       4,197 ------------/
GB 2312 (GB0)    6,763        6,763
GB 12345 (GB1)   2,176        2,355
GB 7589 (GB3)    7,327        4,834      <=======
GB 7590 (GB5)    7,039        2,840      <=======
GB7                 41           42
GB 8565 (GB8)      287          290
JEF              3,149        3,144
JIS X 0208       6,355        6,356
JIS X 0212       5,801        5,801
KSC 5601         4,888        4,888
KSC 5657         2,856        2,856
XEROX            9,776        9,747

UNICODE         21,001       21,204

Some code counts in cjkxref.fix summe up to the same value as given in
the UNICODE-book, but in some cases there are big differences (<======).
The UNICODE-book says that the table refered to above gives the "number
of characters included from each" standard. The BOOK says from GB3 are
included 7,039 characters whereas in CJKXREF.FIX I find only 4,834.
But also for the minor differencies it would be nice to know the reason.

Greetings
Urs

----------------------------------------------------------------------------
Urs Widmer           Tel.:  (0049)421-218-3188      CHINESISCH UND COMPUTER
PC-Labor, MZH        FAX:   (0049)421-218-2720       Journal for Computing
Universitaet Bremen                                  in Oriental Languages
2800 Bremen 33                                             (in German)
Germany              email: <[email-masked]>
----------------------------------------------------------------------------